import React from "react";
import * as client from "../client/jmap-client-ts/src/types";

type EmailFromProps = {
	froms: Array<client.IEmailAddress>;
};

const EmailFrom: React.FC<EmailFromProps> = ({ froms }) => {
	if (froms.length === 0) {
		return <span className="email-from">None</span>;
	}
	if (froms.length > 1) {
		return <span className="email-from">MANY?</span>;
	}
	if (froms[0].name) {
		return <span className="email-from">{froms[0].name}</span>;
	}
	return <span className="email-from">{froms[0].email}</span>;
};
export default EmailFrom;
